> For the complete documentation index, see [llms.txt](https://docs.quipuswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.quipuswap.com/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/dex-methods/divesting/divest.md).

# divest

This entrypoint is designed to remove liquidity from a specific DEX pool according to current exchange rate.

### Call parameters

<table><thead><tr><th width="192">Field</th><th width="245" align="center">Type</th><th width="448.2">Description</th></tr></thead><tbody><tr><td>pool_id</td><td align="center"><code>nat</code></td><td>pool identifier.</td></tr><tr><td>min_amounts_out</td><td align="center"><code>map(token_pool_idx_t, nat)</code></td><td>min amount of tokens to be received. NOTE: must be provided <strong>all</strong> indexes of tokens</td></tr><tr><td>shares</td><td align="center"><code>nat</code></td><td>amount of LP token to be burn.</td></tr><tr><td>deadline</td><td align="center"><code>timestamp</code></td><td>dealine of current operation.</td></tr><tr><td>receiver</td><td align="center"><code>option(address)</code></td><td>optional, address of the receiver of the LP tokens. If not provided the <code>sender</code> address will be used.</td></tr></tbody></table>

```pascaligo
type divest_param_t     is [@layout:comb] record [
  pool_id                 : nat;
  min_amounts_out         : map(token_pool_idx_t, nat);
  shares                  : nat; 
  deadline                : timestamp; 
  receiver                : option(address); 
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/dex-methods/divesting/divest.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
